Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Class ResourceAdapterInternalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.ResourceAdapterInternalException

All Implemented Interfaces:
  Serializable

public class ResourceAdapterInternalException
extends ResourceException

A ResourceAdapterInternalException indicates any system level error conditions related to a resource adapter. Examples are invalid configuration, failure to create a connection to an underlying resource, other error condition internal to the resource adapter.

See Also:
  Serialized Form

Constructor Summary
`ResourceAdapterInternalException()` Create an exception.
`ResourceAdapterInternalException(String reason)` Create an exception with a reason.
`ResourceAdapterInternalException(String reason, String errorCode)` Create an exception with a reason and an errorCode.
`ResourceAdapterInternalException(String reason, Throwable cause)` Create an exception with a reason and cause.
`ResourceAdapterInternalException(Throwable cause)` Create an exception with a cause.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceAdapterInternalException

    public ResourceAdapterInternalException()

  Create an exception.

### ResourceAdapterInternalException

    public ResourceAdapterInternalException(String reason)

  Create an exception with a reason.

### ResourceAdapterInternalException

    public ResourceAdapterInternalException(String reason,
                                            String errorCode)

  Create an exception with a reason and an errorCode.

### ResourceAdapterInternalException

    public ResourceAdapterInternalException(String reason,
                                            Throwable cause)

  Create an exception with a reason and cause.

Parameters:
  `reason` - the reason
  `cause` - the cause

### ResourceAdapterInternalException

    public ResourceAdapterInternalException(Throwable cause)

  Create an exception with a cause.

Parameters:
  `cause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.